// NodoT.h: interface for the NodoT class.
//
//////////////////////////////////////////////////////////////////////

#ifndef NODOT_H
#define NODOT_H

// Forward declaration della classe List
template <class T>
class List;

template< class T >
class Node
{
    friend class List<T>;
public:
    Node(const T &v):
        nextNode(0),value(v)
        {}
    T getValue() const
        {return value;}
    Node<T>* getNextNode() const
       {return nextNode;}
private:
	Node<T>* nextNode;
	T value;
};

#endif
